# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               guayadeque
Version:            0.3.5
Release:            1.32
Summary:            Guayadeque Music Player
Source:             http://prdownloads.sourceforge.net/guayadeque/guayadeque-%{version}.tar.bz2
URL:                http://guayadeque.org
Group:              Productivity/Multimedia/Sound/Players
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      wxWidgets-ansi-devel
BuildRequires:      gstreamer-0_10-devel
BuildRequires:      libtag-devel
BuildRequires:      sqlite3-devel
BuildRequires:      libcurl-devel
BuildRequires:      libgnutls-devel
BuildRequires:      dbus-1-devel
BuildRequires:      flac-devel
BuildRequires:      libgpod-devel
BuildRequires:      cmake gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
Guayadeque is a music management program designed for all music enthusiasts. It
is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.

%prep
%setup -q
find . -type f -name CMakeCache.txt -delete

%build
%__install -d b
pushd b
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    ..
%__make %{?_smp_mflags}
popd

%install
pushd b
%makeinstall
popd

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc changelog LICENSE README
%{_bindir}/guayadeque
%{_datadir}/guayadeque
%{_datadir}/applications/guayadeque.desktop
%{_datadir}/pixmaps/guayadeque.png

%changelog
* Mon Aug 20 2012 pascal.bleser@opensuse.org
- initial version (0.3.5)
